<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>现金单边帐</title>
    <link rel="stylesheet" th:href="@{/layui/css/layui.css}">
    <link rel="stylesheet" th:href="@{/css/common.css}">
    <!-- 引入组件库 -->
    <script th:src="@{/layui/jquery-3.4.1.min.js}"></script>
    <script th:src="@{/layui/layui.js}"></script>
    <script th:src="@{/layui/lay/xmSelect/xm-select.js}"></script>
    <script th:src="@{/js/common.js}"></script>

    <style>
        body{background: #f2f2f2}
        #boxDiv{background: #ffffff}
        #titleDiv{overflow: visible;}
        .content{padding:0 8px;}
        .tableTitle{height:20px;margin-top: 10px;margin-bottom: 10px;}
        .tableTitle>*{height: 20px;line-height: 20px;display: inline-block;margin-right: 5px;}
        .tableName{border-left:3px solid #0000FF;padding-left:5px;font-size: 16px;font-weight: bold;}
        .selectDate{font-size: 14px;color: rgba(0,0,0,0.65)}
    </style>
</head>
<body class="layui-layout-body">
<div id="boxDiv" style="left:8px;right: 8px;bottom:8px;top:8px;position:absolute;">
    <div class="toolbar" id="titleDiv">
        <div style="display: inline-block;">
            <form class="layui-form">
                <div class="layui-inline">
                    <label class="layui-form-label">日期选择</label>
                    <div class="layui-input-inline">
                        <input type="text" class="layui-input formWidthTwo" id="searchDate" placeholder=" ~ " th:value="${startTime+' ~ '+endTime}">
                    </div>
                </div>
            </form>
        </div>
        <div class="layui-inline">
            <button class="layui-btn layui-btn-sm layui-btn-normal" data-type="search" id="search" onclick="search()"><i class="layui-icon layui-icon-search"></i>查询</button>
            <button class="layui-btn layui-btn-sm layui-btn-normal" onclick="exportExcel()"><i class="layui-icon">&#xe67d;</i>导出</button>
        </div>
    </div>
    <div class="content">
        <div class="tableTitle">
            <span class="tableName">单边账</span>
            <span class="selectDate">&nbsp;</span>
        </div>
        <table id="demo" lay-filter="test"></table>
    </div>

</div>
<!-- 表格操作栏 -->
<script type="text/html" id="barDemo">
    {{#  if(d.IS_MANAGER == '0'){ }}
    <a class="layui-btn layui-btn-xs" lay-event="restartGet">处理</a>
    {{#  } }}
</script>
</body>
<script th:inline="javascript">

    let payTypeList=[[${payTypeList}]];

    let layer,laydate,table,tree,form;

    layui.use(['element','table','laydate','layer','form','tree'], function() {
        layer = layui.layer;
        table = layui.table;
        laydate = layui.laydate;
        tree = layui.tree;
        form = layui.form;

        //表格加载
        table.render({
            elem: '#demo',
            height: 'full-'+($(".toolbar").height()+60),
            title: '交易明细',
            page: true ,//开启分页
            limit:20,
            limits:[20,30,50],
            //toolbar: '', //开启工具栏，此处显示默认图标，可以自定义模板
            defaultToolbar: [],
            id:'test',
            //skin:'line',
            even:'true',
            //size:'lg', 默认普通尺寸 sm 小 lg 大
            cols: [
                [
                    {field: 'TRADE_DATE', align:'center',title: '交易日期',width:120, sort: false},
                    {field: 'HIS_MONEY', align:'center',title: 'HIS金额',width:120, sort: false},
                    {field: 'THIRD_MONEY', align:'center',title: '现金金额',width:120, sort: false},
                    {field: 'ERR_TYPE', align:'center',title: '错账类型',width:120, sort: false,templet: function(d){
                        let str="";
                            if (d.ERR_TYPE==='1'){
                                str="HIS单边账";
                            }else if (d.ERR_TYPE==='2'){
                                str="现金单边账";
                            }else if (d.ERR_TYPE==='3'){
                                str="差异账";
                            }
                        return str;
                        }},
                    /*{field: 'LSH', align:'center',title: '流水号',width:120, sort: false},*/
                    {field: 'TRADE_TIME', align:'center',title: '交易时间',width:120, sort: false},
                    {field: 'IS_MANAGER', align:'center',title: '是否已处理',width:120, sort: false,templet: function(d){
                            return d.IS_MANAGER==='1'?'是':'否';
                        }},
                    {field: 'MANAGER_TIME', align:'center',title: '处理时间',width:120, sort: false},
                    { title: '操作', align:'center',width:120, toolbar: '#barDemo',fixed: 'right'},
                ]
            ],
            data:[]
        });


        //时间控件
        laydate.render({
            elem: '#searchDate'
            ,type: 'date'
            ,range: '~'
        });

        search();
    });

    //查询
    function search(num){
        num=num===null?1:num;
        let url="/unilateral/findAllUnilateral";
        let param={};

        param.payType=$("#payType").val();
        let date=$("#searchDate").val();
        if(date!==''){
            let time = date.split("~");
            let startTime=time[0].trim();
            let endTime=time[1].trim();

            param.startTime=startTime;
            param.endTime=endTime;

            $(".selectDate").text(startTime+" ~ "+endTime);
        }

        table.reload('test', {
            method: 'get',
            url:url,
            where: param,
            page: {
                curr: num
            }
        });
    }

    //导出
    function exportExcel(){
        let url="/unilateral/exportUnilateral";
        let param={};

        param.payType=$("#searchPayType").val();
        let date=$("#searchDate").val();
        if(date!==''){
            let time = date.split("~");
            let startTime=time[0].trim();
            let endTime=time[1].trim();

            param.startTime=startTime;
            param.endTime=endTime;

        }

        let dowloadName="单边账明细";
        param.dowloadName=dowloadName;
        let load = layer.load();
        AjaxPostJson(url,param,function(data){
            layer.close(load);
            if (data.errCode === "0") {
                let fileName=data.dlName;
                location.href = '/download?fileName=' + fileName + '&dowloadName=' + dowloadName;
            }else{
                layer.alert(data.errMsg);
            }
        });
    }
</script>
</html>